Subject: Re: bug#21612: 24.5; Configuration variable to delete auto-save file when intentionally killing buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 20 Aug 2021 15:29:01 +0200

Eli Zaretskii <[email-masked]> writes:

>> >> Under which conditions will it delete anything?  Hm...  well, I guess if
>> >> you set the buffer to non-modified manually and then kills it, it'll
>> >> delete the auto-save file?
>> >
>> > Yes.  Or any other command that resets the modified status without
>> > also deleting the auto-save file.
>> 
>> Are there any other commands that do this?
>
> I don't really know of any specific ones, but where there's one, there
> could be others.

I actually tried this instead of making sense of the code, and:

emacs -Q /tmp/foo
insert bar
M-x do-auto-save
M-x not-modified
C-x k RET

The auto-save file is not deleted.

So I'm back to my second interpretation of the code -- I don't
understand under what condition it's actually triggered (if any).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no